# $Revision: 1.25 $, $Date: 2008-03-19 23:50:03 $
#
# Conditonal build:
%bcond_with	static	# link cryptsetup statically
#
%define	realname	cryptsetup
Summary:	LUKS for dm-crypt implemented in cryptsetup
Summary(pl.UTF-8):	LUKS dla dm-crypta zaimplementowany w cryptsetup
Name:		cryptsetup-luks
Version:	1.0.6
Release:	2
License:	GPL v2
Group:		Base
Source0:	http://luks.endorphin.org/source/%{realname}-%{version}.tar.bz2
# Source0-md5:	00d452eb7a76e39f5749545d48934a10
Patch1:		%{name}-nostatic.patch
URL:		http://luks.endorphin.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	device-mapper-devel
BuildRequires:	gettext-devel
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libselinux-devel
BuildRequires:	libsepol-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	popt-devel
%if %{with static}
BuildRequires:	device-mapper-static >= 1.02.07
BuildRequires:	libgcrypt-static >= 1.1.42
BuildRequires:	libgpg-error-static
BuildRequires:	libselinux-static
BuildRequires:	libsepol-static
BuildRequires:	libuuid-static
BuildRequires:	popt-static
%endif
Provides:	cryptsetup = %{version}
Obsoletes:	cryptsetup
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_noautoreqdep	libcryptsetup.so.0

%description
LUKS is the upcoming standard for Linux hard disk encryption. By
providing a standard on-disk-format, it does not only facilitate
compatibility among distributions, but also provide secure management
of multiple user passwords. In contrast to existing solution, LUKS
stores all setup necessary setup information in the partition header,
enabling the user to transport or migrate his data seamlessly.

This package contains implementation of LUKS for dm-crypt implemented
in cryptsetup.

%description -l pl.UTF-8
LUKS to nadchodzący standard linuksowego szyfrowania twardego dysku.
Dostarczając standardowy format danych na dysku nie tylko ułatwia
utrzymanie kompatybilności między dystrybucjami, ale także dostarcza
bezpieczne zarządzanie wieloma hasłami użytkowników. W przeciwieństwie
do istniejącego rozwiązania LUKS przechowuje wszystkie potrzebne
informacje o konfiguracji w nagłówku partycji, pozwalając
użytkownikowi przenosić lub migrować dane w sposób przezroczysty.

Ten pakiet zawiera implementację LUKS dla dm-crytpa zaimplementowaną w
cryptsetup.

%package devel
Summary:	Header files for cryptsetup library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki cryptsetup
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	device-mapper-devel
Requires:	libgcrypt-devel >= 1.1.42
Obsoletes:	cryptsetup-devel

%description devel
Header files for cryptsetup library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki cryptsetup.

%package static
Summary:	Static cryptsetup library
Summary(pl.UTF-8):	Statyczna biblioteka cryptsetup
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	cryptsetup-static

%description static
Static version of cryptsetup library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki cryptsetup.

%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	%{?with_static:--enable-static-cryptsetup}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libcryptsetup.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libcryptsetup.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libcryptsetup.so

%find_lang %{realname}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{realname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%attr(755,root,root) %{_sbindir}/cryptsetup
%attr(755,root,root) /%{_lib}/libcryptsetup.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libcryptsetup.so.0
%{_mandir}/man8/cryptsetup.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcryptsetup.so
%{_libdir}/libcryptsetup.la
%{_includedir}/libcryptsetup.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcryptsetup.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cryptsetup-luks.spec,v $
Revision 1.25  2008-03-19 23:50:03  qboosh
- libtoolize (fixes build with libtool 2.2)
- ghost soname symlink
- GPL v2 (this version text included; no version specified otherwise)

Revision 1.24  2008-03-19 10:31:50  glen
- release 2 (1 for ac)

Revision 1.23  2008-03-18 22:21:38  zawadaa
- up to 1.0.6

Revision 1.22  2008-01-08 20:30:26  qboosh
- use version macro in cryptsetup Provides

Revision 1.21  2007-11-08 23:29:52  glen
- url from manpage

Revision 1.20  2007-11-08 23:28:06  glen
- from 1.0.5 release onwards, cryptsetup-luks becomes cryptsetup,
  so, provide cryptsetup
- rel 2

Revision 1.19  2007-06-22 17:55:54  prism
- up to 1.0.5

Revision 1.18  2007/05/24 21:00:19  qboosh
- I think it was meant to be _noautoreqdep

Revision 1.17  2007/05/17 20:17:59  sparky
- _noautoreq cryptsetup, not needed with new rpm but let it stay for compatibility

Revision 1.16  2007/04/02 21:40:19  sls
- cryptsetup-luks isn't equivalent of cryptsetup

Revision 1.15  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.13  2006/10/18 12:27:54  mguevara
- 1.0.4-1 update, removed libsepol-patch, added br: libtool

Revision 1.12  2006/09/18 21:55:30  qboosh
- added BRs for dynamic version

Revision 1.11  2006/08/22 21:24:43  qboosh
- added nostatic patch and static bcond (link cryptsetup dynamically by default)

Revision 1.10  2006/06/23 10:25:23  wrobell
- ver. 1.0.3

Revision 1.9  2006/06/16 04:53:57  pluto
- release 2 for rebuild with new device-mapper soname.

Revision 1.8  2006/02/18 10:18:30  qboosh
- BR: ac,am,gt

Revision 1.7  2006/02/18 02:23:31  mguevara
- added provides cryptsetup = ver for easy cryptsetup replacement

Revision 1.6  2006/02/18 02:01:37  mguevara
- 1.0.1 rel 1 - added BR libsepol-static, %{name}-sepol.patch and
  some autoconf/automake

Revision 1.5  2005/07/25 11:26:31  blekot
- up to 1.0.1
- static package done
- more BRs

Revision 1.4  2005/05/22 18:09:48  qboosh
- pl for base, don't produce empty -static package

Revision 1.3  2005/05/21 16:33:30  wrobell
- adapterized

Revision 1.2  2005/05/21 16:07:14  wrobell
- typo

Revision 1.1  2005/05/21 16:06:17  wrobell
- based on cryptsetup.spec
